from sqlalchemy import Column, Integer, DateTime, ForeignKey, Text, Boolean
from sqlalchemy.sql import func
from app.db.base import Base


class Transcription(Base):
    __tablename__ = "transcriptions"
    
    id = Column(Integer, primary_key=True, index=True)
    video_id = Column(Integer, ForeignKey("videos.id"), nullable=False)
    text = Column(Text, nullable=False)
    edited_text = Column(Text, nullable=True)  # User-edited transcript
    is_edited = Column(Boolean, default=False)  # Track if transcript was edited
    created_at = Column(DateTime(timezone=True), server_default=func.now())